For the complete documentation index, see llms.txt. This page is also available as Markdown.

List webhooks

Returns all webhooks for the account.

get
Authorizations
Api-TokenstringRequired

API token in Api-Token header

Responses
200

List of webhooks

application/json
get/api/webhooks
curl -X GET https://mailtrap.io/api/webhooks \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "data": [
    {
      "id": 1,
      "url": "https://example.com/mailtrap/webhooks",
      "active": true,
      "webhook_type": "email_sending",
      "payload_format": "json",
      "sending_stream": "transactional",
      "domain_id": 435,
      "event_types": [
        "delivery",
        "bounce"
      ]
    },
    {
      "id": 2,
      "url": "https://example.com/mailtrap/webhooks",
      "active": true,
      "webhook_type": "audit_log",
      "payload_format": "json"
    }
  ]
}

Last updated

Was this helpful?